Bug 181956 - uninstalling kernel removes gnome-session and gnome-volume-manager
uninstalling kernel removes gnome-session and gnome-volume-manager
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-17 17:23 EST by Jeremy West
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 01:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy West 2006-02-17 17:23:41 EST
Description of problem:
While testing different versions of the kernel, I noticed that if I use yum to
uninstall the kernel, gnome-session and gnome-volume-manager are also
uninstalled.  It seems these packages are dependencies for the kernel.  I'm not
sure why.

Version-Release number of selected component (if applicable):
gnome-volume-manager-1.5.11-2
gnome-session-2.13.91-1
yum-2.5.1-5
kernel-2.6.15-1.1955_FC5

How reproducible:
#yum remove kernel

Steps to Reproduce:
1.  Make sure the above kernel is installed.
2.  Use yum to remove the kernel with "yum remove kernel"
3.  Yum shows gnome-session and gnome-volume-manager as dependencies that will
also be removed, and prompts you to say "yes"
4.  Watch as everything is removed and verify resules.
5.  use "yum install kernel" and see that gnome-session and gnome-volume-manager
are not re-installed
6.  use "yum install gnome-session gnome-volume-manager" to get your system back
  
Actual results:
see description

Expected results:
gnome-session and gnome-volume-manager should not be removed, correct?

Additional info:
Comment 1 Ignacio Vazquez-Abrams 2006-02-18 01:52:14 EST
gnome-volume-manager has a dependency on a certain minimum kernel version. If
you remove all kernels that satisfy it, then of course g-v-m needs to be removed
as well. If you think this is incorrect then you should file against g-v-m.

Note You need to log in before you can comment on or make changes to this bug.